Package Details: gnome-shell-extension-atom-dash-git 25.29c3c06-1

Git Clone URL: https://aur.archlinux.org/gnome-shell-extension-atom-dash-git.git (read-only)
Package Base: gnome-shell-extension-atom-dash-git
Description: A dash extension for gnome-shell as part of Ozon OS
Upstream URL: https://github.com/ozonos/atom-dash
Licenses: GPL3
Groups: gnome-shell-extensions
Submitter: blackout24
Maintainer: blackout24
Last Packager: blackout24
Votes: 8
Popularity: 0.000000
First Submitted: 2014-04-12 20:38
Last Updated: 2015-06-08 11:32

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

nimda commented on 2015-03-16 13:47

@blackout24: thanks for your very quick answer! now i understand the concept.

blackout24 commented on 2015-03-16 12:55

@nimda Like with all -git packages on the AUR you can rebuild it yourself it will always fetch the latest state of the codebase from the Ozon Github repo and install it on your PC. The date or version of the AUR package is irrelevant. Since Gnome 3.16 is supported upstream the extension won't break when Arch ships Gnome 3.16 in the near future.

nimda commented on 2015-03-16 12:24

what mean that for the future?

blackout24 commented on 2015-03-16 12:05

Now tracking the master branch, since Gnome 3.14 and Gnome 3.16 support is in master.

nimda commented on 2015-03-16 10:52

is it possible to update the packages from the ozon project?

thanks!

blackout24 commented on 2014-05-20 09:20

@hcjl It should work now. The problem was that the changing of the branch already produced some output in the terminal and the pkgver() routine wanted to grab that and use it as pkgversion. Now I send that output to /dev/null so that only "echo" command which returns the real version number gets parsed.

hcjl commented on 2014-05-13 10:45

The aur helpers (yaourt, packer) I sometimes use show me that there is a package update
gnome-shell-extension-atom-dash-git 15.6c76104-1 1 -> 2
available.
But upgrading the package does not work. Every time gnome-shell-extension-atom-dash-git 15.6c76104-1 is installed.
Building the package in an an empty directory with makepkg gives me the error message
...
==> Starting pkgver()...
Switched to a new branch '6-3.12-compat'
sed: -e expression #1, char 100: unterminated `s' command
==> Updated version: gnome-shell-extension-atom-dash-git 15.6c76104-1
...
during the build process.

Do you have any ideas how to fix this?

Thx & Rgds
hcjl

blackout24 commented on 2014-04-26 15:41

@bugabinga In general they seem to have started using @ozonos.org in the UUID instead of numixproject.prg. You are right that the UUID of the master branch is different from the 6-3.12-compat branch. In master it's atom-launcher@ozonos.org, while in the 3.12 branch it's atom-dash@ozonos.org. We are usign the 3.12 branch but the UUID of the master branch. I will fix this.

bugabinga commented on 2014-04-26 14:39

Mh, are you still using the master branch during your testing? Because the UUID did not change in the 6-3.12-compat branch AFAICT.

blackout24 commented on 2014-04-25 08:56

Looks like they renamed the UUID in the metadata.json for these two extensions, so I adjusted the install path accordingly.

It shouldn't matter that this package is still called atom-dash aslong as the git repo still points to the same source and the files are installed into the correct location.